Package ru.bitel.bgbilling.modules.payonline.common.bean

# Class Rebill

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.payonline.common.bean.Rebill

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class Rebill
    extends Id

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `MONTH_PERIODICITY` | Месячная периодичность платежа
  `static int` | `WEEK_PERIODICITY` | Недельная периодичность платежа

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Rebill()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.Date` | `getActivateDate()` |
  `int` | `getContractId()` |
  `int` | `getDay()` |
  `java.lang.String` | `getOrderId()` |
  `int` | `getPeriodicity()` |
  `java.lang.String` | `getRebillAnchor()` |
  `java.math.BigDecimal` | `getSumma()` | Возвращает сумму повторного платежа.
  `void` | `setActivateDate​(java.util.Date activateDate)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setDay​(int day)` |
  `void` | `setOrderId​(java.lang.String oderId)` |
  `void` | `setPeriodicity​(int periodicity)` |
  `void` | `setRebillAnchor​(java.lang.String rebilAnchor)` |
  `void` | `setSumma​(java.math.BigDecimal summa)` | Устанаваливает сумму повторного платежа.

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### WEEK_PERIODICITY

    public static final int WEEK_PERIODICITY
    Недельная периодичность платежа
    See Also:
      Constant Field Values

  - ### MONTH_PERIODICITY

    public static final int MONTH_PERIODICITY
    Месячная периодичность платежа
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### Rebill

    public Rebill()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getSumma

    public java.math.BigDecimal getSumma()
    Возвращает сумму повторного платежа.
    Returns:
      summa - сумма

  - ### setSumma

    public void setSumma​(java.math.BigDecimal summa)
    Устанаваливает сумму повторного платежа.
    Parameters:
      `summa` - - сумма повторного платежа

  - ### getActivateDate

    public java.util.Date getActivateDate()

  - ### setActivateDate

    public void setActivateDate​(java.util.Date activateDate)

  - ### getRebillAnchor

    public java.lang.String getRebillAnchor()

  - ### setRebillAnchor

    public void setRebillAnchor​(java.lang.String rebilAnchor)

  - ### getOrderId

    public java.lang.String getOrderId()

  - ### setOrderId

    public void setOrderId​(java.lang.String oderId)

  - ### getDay

    public int getDay()

  - ### setDay

    public void setDay​(int day)

  - ### getPeriodicity

    public int getPeriodicity()

  - ### setPeriodicity

    public void setPeriodicity​(int periodicity)